<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?>

<cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
<storageModule moduleId="org.eclipse.cdt.core.settings">
<cconfiguration id="org.eclipse.cdt.gnuarm.exe.target.win32.release.682676756">
<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="org.eclipse.cdt.gnuarm.exe.target.win32.release.682676756" moduleId="org.eclipse.cdt.core.settings" name="Release">
<externalSettings/>
<extensions>
<extension id="org.eclipse.cdt.core.GNU_ELF" point="org.eclipse.cdt.core.BinaryParser"/>
<extension id="org.eclipse.cdt.core.MakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
</extensions>
</storageModule>
<storageModule moduleId="cdtBuildSystem" version="4.0.0">
<configuration artifactExtension="elf" artifactName="blink_XP" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release,org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe" cleanCommand="rm -rf" description="" id="org.eclipse.cdt.gnuarm.exe.target.win32.release.682676756" name="Release" parent="org.eclipse.cdt.gnuarm.exe.target.win32.release">
<folderInfo id="org.eclipse.cdt.gnuarm.exe.target.win32.release.682676756." name="/" resourcePath="">
<toolChain id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.70186950" name="WinARM, Yagarto" nonInternalBuilderId="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.builder" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc">
<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.GNU_ELF" id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.Platform.588275161" isAbstract="false" name="Platformname" osList="win32" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.Platform"/>
<builder buildPath="${workspace_loc:/blink_XP/Release}" id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.builder.1859799746" keepEnvironmentInBuildfile="false" managedBuildOn="false" name="Builder" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.builder"/>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.as.1345085645" name="C Assembler" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.as">
<inputType id="org.eclipse.cdt.gnuarm.as.input.1985685483" name="Input" superClass="org.eclipse.cdt.gnuarm.as.input"/>
</tool>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.gcc.779244637" name="C Compiler" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.gcc">
<option id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.gcc.optimization.1198067831" name="Optimization Level" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.gcc.optimization" value="org.eclipse.cdt.gnuarm.gcc.optimization.level.00" valueType="enumerated"/>
<inputType id="org.eclipse.cdt.gnuarm.gcc.input.489460011" name="Input" superClass="org.eclipse.cdt.gnuarm.gcc.input"/>
</tool>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.gpp.1780904574" name="C++ Compiler" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.gpp"/>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.ld.1747259707" name="C Linker" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.ld">
<option id="org.eclipse.cdt.gnuarm.ld.libraries.searchpath.92637018" name="Library search path (-L)" superClass="org.eclipse.cdt.gnuarm.ld.libraries.searchpath" valueType="includePath">
<listOptionValue builtIn="false" value="&quot;${workspace_loc:/blink_XP}&quot;"/>
</option>
<option id="org.eclipse.cdt.gnuarm.ld.general.scriptfile.173525754" name="Script (-T)" superClass="org.eclipse.cdt.gnuarm.ld.general.scriptfile" value="" valueType="string"/>
<inputType id="org.eclipse.cdt.gnuarm.ld.input.2059380271" name="Input" superClass="org.eclipse.cdt.gnuarm.ld.input">
<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
<additionalInput kind="additionalinput" paths="$(LIBS)"/>
</inputType>
<outputType id="org.eclipse.cdt.gnuarm.ld.output.1340784327" name="Output" outputPrefix="" superClass="org.eclipse.cdt.gnuarm.ld.output"/>
</tool>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.ldpp.611173301" name="C++ Linker" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.ldpp"/>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.objcopyflash.2116964546" name="ObjCopyFlash" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.release.tc.objcopyflash">
<option id="org.eclipse.cdt.gnuarm.objcopyflash.out.choice.1964625291" name="Output file format (-O)" superClass="org.eclipse.cdt.gnuarm.objcopyflash.out.choice" value="org.eclipse.cdt.gnuarm.objcopyflash.out.choice.binary" valueType="enumerated"/>
</tool>
</toolChain>
</folderInfo>
</configuration>
</storageModule>
<storageModule moduleId="scannerConfiguration">
<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerProjectProfile">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerFileProfile">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="makefileGenerator">
<runAction arguments="-f ${project_name}_scd.mk" command="make" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfile">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileCPP">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.cpp" command="g++" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileC">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.c" command="gcc" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfile">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-c 'gcc -E -P -v -dD &quot;${plugin_state_location}/${specs_file}&quot;'" command="sh" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfileCPP">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-c 'g++ -E -P -v -dD &quot;${plugin_state_location}/specs.cpp&quot;'" command="sh" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfileC">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-c 'gcc -E -P -v -dD &quot;${plugin_state_location}/specs.c&quot;'" command="sh" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
</storageModule>
<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
<storageModule moduleId="org.eclipse.cdt.core.language.mapping"/>
<storageModule moduleId="org.eclipse.cdt.internal.ui.text.commentOwnerProjectMappings"/>
</cconfiguration>
<cconfiguration id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.1692782371">
<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.1692782371" moduleId="org.eclipse.cdt.core.settings" name="Debug">
<externalSettings/>
<extensions>
<extension id="org.eclipse.cdt.core.GNU_ELF" point="org.eclipse.cdt.core.BinaryParser"/>
<extension id="org.eclipse.cdt.core.MakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
</extensions>
</storageModule>
<storageModule moduleId="cdtBuildSystem" version="4.0.0">
<configuration artifactExtension="elf" artifactName="blink_XP" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug,org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe" cleanCommand="rm -rf" description="" id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.1692782371" name="Debug" parent="org.eclipse.cdt.gnuarm.exe.target.win32.debug">
<folderInfo id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.1692782371." name="/" resourcePath="">
<toolChain id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.1683628548" name="WinARM, Yagarto" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc">
<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.GNU_ELF" id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.Platform.1913610767" isAbstract="false" name="Platformname" osList="win32" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.Platform"/>
<builder buildPath="${workspace_loc:/blink_XP/Debug}" id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.builder.322479511" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Builder" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.builder"/>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.as.2003483317" name="C Assembler" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.as">
<inputType id="org.eclipse.cdt.gnuarm.as.input.1113754889" name="Input" superClass="org.eclipse.cdt.gnuarm.as.input"/>
</tool>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.gcc.1662730465" name="C Compiler" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.gcc">
<inputType id="org.eclipse.cdt.gnuarm.gcc.input.15002629" name="Input" superClass="org.eclipse.cdt.gnuarm.gcc.input"/>
</tool>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.gpp.153500723" name="C++ Compiler" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.gpp"/>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.ld.1209668399" name="C Linker" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.ld">
<inputType id="org.eclipse.cdt.gnuarm.ld.input.1279731351" name="Input" superClass="org.eclipse.cdt.gnuarm.ld.input">
<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
<additionalInput kind="additionalinput" paths="$(LIBS)"/>
</inputType>
</tool>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.ldpp.992744526" name="C++ Linker" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.ldpp"/>
<tool id="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.objcopyflash.1785696597" name="ObjCopyFlash" superClass="org.eclipse.cdt.gnuarm.exe.target.win32.debug.tc.objcopyflash"/>
</toolChain>
</folderInfo>
</configuration>
</storageModule>
<storageModule moduleId="scannerConfiguration">
<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerProjectProfile">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.make.core.GCCStandardMakePerFileProfile">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="makefileGenerator">
<runAction arguments="-f ${project_name}_scd.mk" command="make" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfile">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-E -P -v -dD ${plugin_state_location}/${specs_file}" command="gcc" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileCPP">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.cpp" command="g++" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCManagedMakePerProjectProfileC">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-E -P -v -dD ${plugin_state_location}/specs.c" command="gcc" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfile">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-c 'gcc -E -P -v -dD &quot;${plugin_state_location}/${specs_file}&quot;'" command="sh" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfileCPP">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-c 'g++ -E -P -v -dD &quot;${plugin_state_location}/specs.cpp&quot;'" command="sh" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
<profile id="org.eclipse.cdt.managedbuilder.core.GCCWinManagedMakePerProjectProfileC">
<buildOutputProvider>
<openAction enabled="true" filePath=""/>
<parser enabled="true"/>
</buildOutputProvider>
<scannerInfoProvider id="specsFile">
<runAction arguments="-c 'gcc -E -P -v -dD &quot;${plugin_state_location}/specs.c&quot;'" command="sh" useDefault="true"/>
<parser enabled="true"/>
</scannerInfoProvider>
</profile>
</storageModule>
<storageModule moduleId="org.eclipse.cdt.core.language.mapping"/>
<storageModule moduleId="org.eclipse.cdt.internal.ui.text.commentOwnerProjectMappings"/>
<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
</cconfiguration>
</storageModule>
<storageModule moduleId="cdtBuildSystem" version="4.0.0">
<project id="blink_XP.org.eclipse.cdt.gnuarm.exe.target.win32.1488173460" name="Executable" projectType="org.eclipse.cdt.gnuarm.exe.target.win32"/>
</storageModule>
</cproject>
